TRUNCATE(1)

NAZWA
truncate - zmniejsza lub zwiększa rozmiar pliku do określonego rozmiaru

SKŁADNIA
truncate OPCJA... PLIK...

OPIS

Jeśli podany PLIK nie istnieje, jest tworzony.

Jeśli PLIK jest większy od określonego rozmiaru, nadmiarowe dane są tracone. Jeżeli jest krótszy, jest powiększany, a dodatkowa część (dziura) jest wypełniana bajtami zerowymi.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-c, --no-create
    nie tworzy żadnych plików

-o, --io-blocks
    traktuje ROZMIAR jako liczbę bloków wejścia/wyjścia, a nie bajtów

-r, --reference=PLIK-WZORC
    używa rozmiaru PLIKU-WZORC

-s, --size=ROZMIAR
    ustawia lub dopasowuje rozmiar pliku według ROZMIARU

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

ROZMIAR jest liczbą całkowitą wraz z opcjonalną jednostką (np. 10M to 10*1024*1024). Jednostki to: K, M, G, T, P, E, Z, Y (potęgi 1024) lub KB, MB itd. (potęgi 1000).

ROZMIAR może zostać również poprzedzony jednym z następujących znaków modyfikujących: + - zwiększ o, - zmniejsz o, < nie więcej niż, > nie mniej niż, / zaokrągl w dół do wielokrotności, % zaokrągl w górę do wielokrotności.

AUTOR
Napisane przez Padraiga Bradyego.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w truncate proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu truncate proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
dd(1), truncate(2), ftruncate(2)

Pełna dokumentacja truncate jest dostępna w formacie Texinfo. Jeśli programy info i truncate są poprawnie zainstalowane, to polecenie

    info coreutils 'truncate invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.